<?php namespace Lunovus\ExternalStore\Shortcodes;

use Lunovus\ExternalStore\Helpers;
use Lunovus\ExternalStore\API;

class Account
{
    const NAME = 'lunovus-account';

    public static function init()
    {
        add_shortcode(self::NAME, [get_called_class(), 'callback']);
    }

    /**
     * Shortcode callback
     */
    public static function callback()
    {
        global $wp_query;

        Helpers::enqueueReactScript('account');

        $practiceId = LUNOVUS_EXTERNAL__PRACTICE_ID;

        $noJsLayout = 'no JS layout';

        // React Account component root
        $html .= '<div id="lunovus-external-store-account" class="t-container t-mx-auto t-mb-14" style="max-width: 1280px!important"
            data-practice-id="' . $practiceId . '"
        >';
        $html .= $noJsLayout;
        $html .= '</div>';

        return $html;
    }
}
