<?php namespace Lunovus\ExternalStore\Shortcodes;

use Lunovus\ExternalStore\Helpers;

class Cart
{
    const NAME = 'lunovus-cart';

    public static function init()
    {
        add_shortcode(self::NAME, [get_called_class(), 'callback']);
    }

    /**
     * Shortcode callback
     */
    public static function callback()
    {
        Helpers::enqueueReactScript('cart');

        $practiceId = LUNOVUS_EXTERNAL__PRACTICE_ID;
        
        // React Cart component root
        $html = '<div id="lunovus-external-store-cart"
            data-practice-id="' . $practiceId . '"
        ></div>';

        $html .= Helpers::pluginSettingsStyles();

        return $html;
    }
}

